For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETReturn all your created email campaigns
      • POSTCreate an email campaign
      • PUTUpdate an email campaign
      • DELDelete an email campaign
      • POSTSend an email campaign immediately, based on campaignId
      • POSTSend an email campaign to your test list
      • PUTUpdate an email campaign status
      • GETGet a shared template url
      • POSTExport the recipients of an email campaign
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsEmail Campaigns

Export the recipients of an email campaign

POST
https://api.brevo.com/v3/emailCampaigns/:campaignId/exportRecipients
POST
/v3/emailCampaigns/:campaignId/exportRecipients
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.emailCampaigns.emailExportRecipients(1, {
8 recipientsType: "openers",
9 });
10}
11main();
1{
2 "processId": 78
3}

Export the recipients of a sent email campaign as an asynchronous process, filtered by recipient type (e.g. openers, clickers, hardBounces). The recipientsType field is required and determines which subset of recipients to export. An optional notifyURL webhook will be called once the export is complete, and the response returns a processId to track the export status.

Was this page helpful?
Previous

Send the report of a campaign

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
Id of the campaign

Request

Values to send for a recipient export request
recipientsTypeenumRequired
Type of recipients to export for a campaign
notifyURLstringOptionalformat: "url"

Webhook called once the export process is finished. For reference, https://help.brevo.com/hc/en-us/articles/360007666479

Response

process id created
processIdlong
Id of the process created

Errors

400
Bad Request Error
404
Not Found Error